curl --request GET \
--url https://api.syntage.com/entities/{entityId}/datasources/rug/garantias \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/datasources/rug/garantias"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/datasources/rug/garantias', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/RugGarantia",
"@id": "/entities/91106968-1abd-4d64-85c1-4e73d96fb997/datasources/rug/garantias",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/datasources/rug/garantias/99c13810-868f-482e-a6f1-878254248d27",
"@type": "RugGarantia",
"id": "99c13810-868f-482e-a6f1-878254248d27",
"numeroDeGarantia": 123456,
"fechaDeInscripcion": "2021-10-12T19:58:11.000Z",
"fechaDeCancelacion": "2023-03-12T00:00:00.000Z",
"otorgantes": [
{
"nombre": "El Otorgante de Garantías Mobiliarias, S.A. de C.V.",
"folioElectronico": "34011*7"
}
],
"acreedor": "Grupo Financiero Acreedor, S.A.P.I. de C.V., SOFOM E.N.R.",
"tipoDeGarantia": "factoraje_financiero",
"monto": 12345.67,
"moneda": "peso_mexicano",
"tipoDeLosBienes": [
"derechos_incluyendo_derechos_de_cobro"
],
"descripcionDeLosBienes": "Factura con el folio fiscal 99c13810-868f-482e-a6f1-878254248d27",
"fechaDeCelebracionDelActoOContrato": "2021-03-08T00:00:00.000Z",
"fechaDeTerminacionDelActoOContrato": "2022-03-08T00:00:00.000Z",
"operaciones": [
{
"@id": "/datasources/rug/operaciones/99c13810-868f-482e-a6f1-878254248d27",
"@type": "RugOperacion",
"id": "99c13810-868f-482e-a6f1-878254248d27",
"numeroDeAsiento": 12345678,
"tipo": "inscripcion",
"fecha": "2021-10-12T00:00:00.000Z",
"file": "/files/99c13810-868f-482e-a6f1-878254248d27",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}List an entity's RUG guarantees
List RUG guarantees extracted for an entity. Use this endpoint after a rug extraction finishes to review movable collateral guarantees found for the entity.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Query Parameters
Collection cursor pointer to the next page
Collection cursor pointer to the previous page
Number of items per page
1 <= x <= 1000RUG guarantee number
123456
Creditor name reported for the guarantee
"Grupo Financiero Acreedor, S.A.P.I. de C.V., SOFOM E.N.R."
Type of movable collateral guarantee
cesion_de_creditos, clausulas_rescisoria_y_de_reserva_de_dominio_en_compraventas_mercantiles, constituida_sobre_aeronave, constituida_sobre_embarcacion, derechos_de_retencion, derivada_de_un_arrendamiento_financiero, derivada_de_un_credito_de_habilitacion_o_avio, derivada_de_un_credito_refaccionario, derivada_de_un_fideicomiso_de_garantia, derivada_de_una_hipoteca_industrial, factoraje_financiero, otros_actos_gravamenes_o_afectaciones_sobre_bienes_muebles_en_los_que_el_acreedor_no_mantenga_la_posesion_sobre_los_mismos, prenda_ordinaria_mercantil_cuando_el_acreedor_prendario_no_mantenga_la_posesion_sobre_los_bienes, prenda_sin_transmision_de_posesion, privilegios_especiales "factoraje_financiero"
Currency reported for the guaranteed amount
"peso_mexicano"
Description of the collateral goods covered by the guarantee
"Factura con el folio fiscal 99c13810-868f-482e-a6f1-878254248d27"
Date and time the guarantee was registered
"2021-10-12T19:58:11.000Z"
Date and time the guarantee was registered
"2021-10-12T19:58:11.000Z"
Date and time the guarantee was registered
"2021-10-12T19:58:11.000Z"
Date and time the guarantee was registered
"2021-10-12T19:58:11.000Z"
Date and time the guarantee was cancelled
"2023-03-12T00:00:00.000Z"
Date and time the guarantee was cancelled
"2023-03-12T00:00:00.000Z"
Date and time the guarantee was cancelled
"2023-03-12T00:00:00.000Z"
Date and time the guarantee was cancelled
"2023-03-12T00:00:00.000Z"
Date the act or contract was executed
"2021-03-08T00:00:00.000Z"
Date the act or contract was executed
"2021-03-08T00:00:00.000Z"
Date the act or contract was executed
"2021-03-08T00:00:00.000Z"
Date the act or contract was executed
"2021-03-08T00:00:00.000Z"
Date the act or contract ends
"2022-03-08T00:00:00.000Z"
Date the act or contract ends
"2022-03-08T00:00:00.000Z"
Date the act or contract ends
"2022-03-08T00:00:00.000Z"
Date the act or contract ends
"2022-03-08T00:00:00.000Z"
Guaranteed amount
12345.67
Guaranteed amount
12345.67
Guaranteed amount
12345.67
Guaranteed amount
12345.67
Guaranteed amount
12345.67
Filter by resource creation date (greater than or equal >=)
Filter by resource creation date (greater than >)
Filter by resource creation date (less than or equal <=)
Filter by resource creation date (less than <)
Filter by the date the resource was last updated (greater than or equal >=)
Filter by the date the resource was last updated (greater than >)
Filter by the date the resource was last updated (less than or equal <=)
Filter by the date the resource was last updated (less than <)
Order by resource creation date
asc, desc "asc"
Order by resource update date
asc, desc "asc"
Response
RUG garantia collection response
"/entities/91106968-1abd-4d64-85c1-4e73d96fb997/datasources/rug/garantias"
Show child attributes
Show child attributes
Pagination information
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?